AFPFontFamilyResolver (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.afp.svg

## Class AFPFontFamilyResolver

- java.lang.Object
- - org.apache.fop.svg.font.FilteringFontFamilyResolver
  - - org.apache.fop.afp.svg.AFPFontFamilyResolver

- All Implemented Interfaces:
    org.apache.batik.bridge.FontFamilyResolver, FOPFontFamilyResolver

      public class AFPFontFamilyResolver
      extends FilteringFontFamilyResolver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPFontFamilyResolver(FontInfo fontInfo, EventBroadcaster eventBroadCaster)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FOPGVTFontFamily` | `getFamilyThatCanDisplay(char c)`
    `FOPGVTFontFamily` | `resolve(String familyName)`

    - ### Methods inherited from class org.apache.fop.svg.font.FilteringFontFamilyResolver

      `getDefault, loadFont, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPFontFamilyResolver

          public AFPFontFamilyResolver(FontInfo fontInfo,
                                       EventBroadcaster eventBroadCaster)

  - ### Method Detail

    - #### resolve

          public FOPGVTFontFamily resolve(String familyName)

      Specified by:
        `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`
      Specified by:
        `resolve` in interface `FOPFontFamilyResolver`
      Overrides:
        `resolve` in class `FilteringFontFamilyResolver`

    - #### getFamilyThatCanDisplay

          public FOPGVTFontFamily getFamilyThatCanDisplay(char c)

      Specified by:
        `getFamilyThatCanDisplay` in interface `org.apache.batik.bridge.FontFamilyResolver`
      Specified by:
        `getFamilyThatCanDisplay` in interface `FOPFontFamilyResolver`
      Overrides:
        `getFamilyThatCanDisplay` in class `FilteringFontFamilyResolver`

Copyright © 2025 Apache Software Foundation. All rights reserved.